# Managed by Puppet.

<% @config.map do |k,v| -%>
<%   if v.is_a?(Hash) -%>
[<%=  k %>]
<%     v.map do |ki, vi| -%>
<%       if vi.is_a?(Array) -%>
<%=        ki %> = <%= vi.join(', ') %>
<%       elsif ki == "ldap_user_search_base" -%>
<%=        ki %> = 
<%=        vi %>
<%       elsif vi != :undef -%>
<%=        ki %> = <%= vi %>
<%       end -%>
<%     end -%>

<%   else -%>
[<%=  k %>]

<%   end -%>
<% end -%>
